Skip to main content
PUT
Update category

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

category id

Body

application/json
name
string
description
string | null
active
boolean
default:true
parent_category_id
string | null
slug
string
assign_products_condition
DataFilterObject · object | null

Filter that selects products auto-assigned to the category when auto_assign_products is true. Read-only.

child_categories
any[]

Direct children, each nesting its own child_categories.

attributes
AttributeBasicDetail · object[]

Response

200 - application/json

OK

message
string
success
boolean
content
object